libdar::crit_in_place_EA_more_recent_or_equal_to Class Reference
API

returns true if the EA of the first entry is more recent or equal to the fixed date given in argument to the constructor More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_EA_more_recent_or_equal_to (const infinint &date, const infinint &hourshift=0)
| crit_in_place_EA_more_recent_or_equal_to (const crit_in_place_EA_more_recent_or_equal_to &ref)=default
| crit_in_place_EA_more_recent_or_equal_to (crit_in_place_EA_more_recent_or_equal_to &&ref) noexcept=default
crit_in_place_EA_more_recent_or_equal_to & | operator= (const crit_in_place_EA_more_recent_or_equal_to &ref)=default
crit_in_place_EA_more_recent_or_equal_to & | operator= (crit_in_place_EA_more_recent_or_equal_to &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method More...
virtual criterium * | clone () const override
| clone construction method More...
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...

## Private Attributes

infinint | x_hourshift
infinint | x_date

## Detailed Description

returns true if the EA of the first entry is more recent or equal to the fixed date given in argument to the constructor

comparison using ctime of the "in place" object. If no ctime is available (not an inode for example) the date is considered equal to zero.

Definition at line 384 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_EA_more_recent_or_equal_to()

libdar::crit_in_place_EA_more_recent_or_equal_to::crit_in_place_EA_more_recent_or_equal_to | ( | const infinint & | date,
|  | const infinint & | hourshift = `0`
| ) |  |

inline

Definition at line 387 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_EA_more_recent_or_equal_to::clone | ( |  | ) | const

inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 395 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_in_place_EA_more_recent_or_equal_to::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const

override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

## Member Data Documentation

## x_date

infinint libdar::crit_in_place_EA_more_recent_or_equal_to::x_date

private

Definition at line 399 of file criterium.hpp.

## x_hourshift

infinint libdar::crit_in_place_EA_more_recent_or_equal_to::x_hourshift

private

Definition at line 398 of file criterium.hpp.

The documentation for this class was generated from the following file:

- criterium.hpp